# Events Subscriptions extension for Contao Open Source CMS

[![](https://img.shields.io/packagist/v/codefog/contao-events_subscriptions.svg)](https://packagist.org/packages/codefog/contao-events_subscriptions)
[![](https://img.shields.io/packagist/l/codefog/contao-events_subscriptions.svg)](https://github.com/codefog/contao-events_subscriptions/blob/master/LICENSE.txt)
[![](https://img.shields.io/packagist/dt/codefog/contao-events_subscriptions.svg)](https://packagist.org/packages/codefog/contao-events_subscriptions)

Events Subscriptions is an extension for the [Contao Open Source CMS](https://contao.org).

Contao extension that allows users of your website to subscribe to the events. In the backend there is an overview 
of users subscribed to each event. Front end comes up with several frontend modules. You can also setup a reminder 
for users subscribed to the events that will be sent a certain amount of days before event takes place!

The extension allows the registered members as well as anonymous users to subscribe.

![](docs/images/preview.png)

## Documentation

1. [Installation](docs/01-installation.md)
2. [Basic configuration](docs/02-basics.md)
3. [Advanced configuration](docs/03-advanced.md)
4. [Backend interface](docs/04-backend.md)
5. [Frontend modules](docs/05-frontend-modules.md)
6. [Notifications](docs/06-notifications.md)
7. [Insert tags](docs/07-insert-tags.md)
8. [Developers](docs/08-developers.md)

## Copyright

This project has been created and is maintained by [Codefog](https://codefog.pl).
